from typing import List, Optional, Set

class Language:
    def iso_code_639_1(self) -> str: ...
    def iso_code_639_3(self) -> str: ...
    @staticmethod
    def all() -> Set["Language"]: ...
    @staticmethod
    def all_spoken_ones() -> Set["Language"]: ...
    @staticmethod
    def all_with_arabic_script() -> Set["Language"]: ...
    @staticmethod
    def all_with_cyrillic_script() -> Set["Language"]: ...
    @staticmethod
    def all_with_devanagari_script() -> Set["Language"]: ...
    @staticmethod
    def all_with_latin_script() -> Set["Language"]: ...

class LanguageDetector:
    def __init__(
        self,
        languages: List[str] = [],
        preload: bool = True,
        minimum_relative_distance: float = 0.0,
    ): ...
    def detect(self, text: str) -> Optional[Language]: ...
    def confidence(self, text: str) -> Optional[Language]: ...
